commit:     1cbd13afa14a227b1434e04a02153b338bf0551c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  5 21:18:19 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul  5 22:54:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cbd13af

dev-python/pytest-shutil: Remove stale contextlib2 dep

contextlib2 is needed only on Python 2.  Strip the unconditional dep
from setup.py (upstream made it conditional in newer git).

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 ...shutil-1.7.0-r1.ebuild => pytest-shutil-1.7.0-r2.ebuild} | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/dev-python/pytest-shutil/pytest-shutil-1.7.0-r1.ebuild 
b/dev-python/pytest-shutil/pytest-shutil-1.7.0-r2.ebuild
similarity index 82%
rename from dev-python/pytest-shutil/pytest-shutil-1.7.0-r1.ebuild
rename to dev-python/pytest-shutil/pytest-shutil-1.7.0-r2.ebuild
index cee304ff4f5..8ee1fa7aea6 100644
--- a/dev-python/pytest-shutil/pytest-shutil-1.7.0-r1.ebuild
+++ b/dev-python/pytest-shutil/pytest-shutil-1.7.0-r2.ebuild
@@ -1,10 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..10} pypy3 )
+EAPI=8
 
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
 inherit distutils-r1
 
 DESCRIPTION="A goodie-bag of unix shell and environment tools for py.test"
@@ -18,7 +17,6 @@ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 
~s390 sparc x86 ~x64
 RDEPEND="
        dev-python/pytest[${PYTHON_USEDEP}]
        dev-python/six[${PYTHON_USEDEP}]
-       dev-python/contextlib2[${PYTHON_USEDEP}]
        dev-python/execnet[${PYTHON_USEDEP}]
        dev-python/path-py[${PYTHON_USEDEP}]
        dev-python/mock[${PYTHON_USEDEP}]
@@ -34,11 +32,12 @@ BDEPEND="
        dev-python/setuptools-git[${PYTHON_USEDEP}]
 "
 
-distutils_enable_tests --install setup.py
+distutils_enable_tests --install pytest
 
 python_prepare_all() {
-       # keeps trying to install this in tests
-       sed -i 's:path.py::' setup.py || die
+       # remove unnecessary deps
+       # (contextlib2 is not used in py3)
+       sed -i -e '/path\.py/d' -e '/contextlib2/d' setup.py || die
 
        distutils-r1_python_prepare_all
 }

Reply via email to